Go Down

Topic: ATmega328PB (Read 11617 times) previous topic - next topic

Testato

#585
Jul 27, 2016, 04:27 pm Last Edit: Jul 27, 2016, 04:27 pm by Testato
Arduino v1.6.10 has now the latest Atmel toolchain integrated. However the header file, device-specs and avrdude config for the ATmega328PB are missing.
https://www.arduino.cc/en/Main/ReleaseNotes

it is added the avrdude 6.3
also on 6.3 we miss the PB header file ?
- [Guida] IDE - http://goo.gl/ln6glr
- [Lib] ST7032i LCD I2C - http://goo.gl/GNojT6
- [Lib] PCF8574+HD44780 LCD I2C - http://goo.gl/r7CstH

SukkoPera

#586
Jul 27, 2016, 11:21 pm Last Edit: Jul 27, 2016, 11:22 pm by SukkoPera
Arduino v1.6.10 has now the latest Atmel toolchain integrated. However the header file, device-specs and avrdude config for the ATmega328PB are missing.
https://www.arduino.cc/en/Main/ReleaseNotes
I tried to follow your instructions to get full 328PB support on 1.6.10 on Linux, but when installing from the boards manager (as described at https://github.com/watterott/ATmega328PB-Testing#manual-installation-arduino-1610) I get the following error:


Quote
Lo strumento avrdude non è disponibile per il tuo sistema operativo.
which translates to "The avrdude tool is not available for your operating system". This sounds weird, as there seem to be no binaries in the package, as avrdude is actually installed with the IDE.
The manual installation works fine though, I can compile for the 328PB without any issues. I can't test the code as I have no boards yet, though.
Make your Sega MegaDrive/Genesis region-free with Arduino! http://forum.arduino.cc/index.php?topic=350099.0

Dubbi su millis()? https://forum.arduino.cc/index.php?topic=355435.msg2460825#msg2460825

pighixxx

Nuova versione del pinout, rivisto e corretto :D



Il PDF si può scaricare al solito posto, Qui.

Andreas Watterott

I tried to follow your instructions to get full 328PB support on 1.6.10 on Linux, but when installing from the boards manager (as described at https://github.com/watterott/ATmega328PB-Testing#manual-installation-arduino-1610) I get the following error...
The toolchain files from "ATmega328PB-Testing" are only available for Windows. I have now updated the instructions for the new IDE 1.6.10 and all operating systems.
github.com/watterott/ATmega328PB-Testing#installation-on-arduino-ide-1610

Andreas Watterott

it is added the avrdude 6.3
also on 6.3 we miss the PB header file ?
Yes, the current avrdude.conf (6.3.0-arduino2) does not contain the ATmega328PB device.

gpb01

#590
Aug 18, 2016, 09:11 am Last Edit: Aug 18, 2016, 09:12 am by gpb01
Ho scaricato il nuovo IDE 1.6.11 (versione OS X) e mi sono messo a sistemarlo per l'ATmega328pb ...
... come al solito mancano alcuni files di libreria (.o e .a), ecc. ecc. ed ho messo dentro avrdude 6.3 da me compilato sotto OS X.

Già che c'ero, essendomi appena arrivata una "Elektor R4" ho fatto qualche prova e ... tocca modificare il nostro file "boards.txt" dato che sulla R4 la velocità di upload è 115 Kbps.

In allegato uno .zip con dentro il boards.txt modificato e l'optiboot che Elektor rilascia (immagino sia lo stesso del nostro, ma con la velocità modificata).

Guglielmo
Search is Your friend ... or I am Your enemy !

astrobeed

#591
Aug 18, 2016, 09:46 am Last Edit: Aug 18, 2016, 09:46 am by astrobeed
Strano che continuano a non inserire i file aggiuntivi per il 328PB, in fin dei conti Watterott è uno dei produttori ufficiali di schede Genuino per l'Europa e dato che lui produce anche una board basata sul 328PB mi sembra, come minimo, dovuto l'introduzione ufficiale del supporto a questo micro nel IDE.
In fin dei conti il grosso del lavoro per il 328PB, anche grazie al nostro contributo, è fatto, non è che ci vuole molto lavoro per integrarlo nel IDE.
Intanto ho ripreso in mano il progetto della scheda Arduino UNO like, con molte migliorie, basata sul 328PB, mi sa tanto che aggiungo il chip mEDBG, lo spazio per farlo c'è e dato che supporta anche la comunicazione seriale posso eliminare il chip dedicato a questa funzione per compensare, parzialmente, il costo del 32u4 aggiuntivo.
Usare il GOTO in C è ammettere la propria sconfitta come programmatore

PaoloP

Ma l'mEDBG va solo a 57k. Mi sembra di tornare alla 2009.

Andreas Watterott

I have updated the package_m328pb_index.json and platform.txt, so that avrdude 6.3 will be installed via the IDE.
https://github.com/watterott/ATmega328PB-Testing

GCalero

#594
Aug 24, 2016, 12:00 pm Last Edit: Aug 24, 2016, 12:16 pm by GCalero
Hello, I have done everything in the Github instructions (the boards appear twice in the board manager even, irrelevant I guess), but I can't even verify any code, this is the error:


Code: [Select]
avr-g++: error: unrecognized argument in option '-mmcu=atmega328pb'

avr-g++: note: valid arguments to '-mmcu=' are: at43usb320 at43usb355 at76c711 at86rf401 at90c8534 at90can128 at90can32 at90can64 at90pwm1 at90pwm161 at90pwm2 at90pwm216 at90pwm2b at90pwm3 at90pwm316 at90pwm3b at90pwm81 at90s1200 at90s2313 at90s2323 at90s2333 at90s2343 at90s4414 at90s4433 at90s4434 at90s8515 at90s8535 at90scr100 at90usb1286 at90usb1287 at90usb162 at90usb646 at90usb647 at90usb82 at94k ata5272 ata5505 ata5702m322 ata5782 ata5790 ata5790n ata5795 ata5831 ata6285 ata6286 ata6289 ata6612c ata6613c ata6614q ata6616c ata6617c ata664251 atmega103 atmega128 atmega1280 atmega1281 atmega1284 atmega1284p atmega1284rfr2 atmega128a atmega128rfa1 atmega128rfr2 atmega16 atmega161 atmega162 atmega163 atmega164a atmega164p atmega164pa atmega165 atmega165a atmega165p atmega165pa atmega168 atmega168a atmega168p atmega168pa atmega168pb atmega169 atmega169a atmega169p atmega169pa atmega16a atmega16hva atmega16hva2 atmega16hvb atmega16hvbrevb atmega16m1 atmega16u2 atmega16u4 atmega2560 atmega2561 atmega2564rfr2 atmega256rfr2 atmega32 atmega323 atmega324a atmega324p atmega324pa atmega325 atmega3250 atmega3250a atmega3250p atmega3250pa atmega325a atmega325p atmega325pa atmega328 atmega328p atmega329 atmega3290 atmega3290a atmega3290p atmega3290pa atmega329a atmega329p atmega329pa atmega32a atmega32c1 atmega32hvb atmega32hvbrevb atmega32m1 atmega32u2 atmega32u4 atmega32u6 atmega406 atmega48 atmega48a atmega48p atmega48pa atmega48pb atmega64 atmega640 atmega644 atmega644a atmega644p atmega644pa atmega644rfr2 atmega645 atmega6450 atmega6450a atmega6450p atmega645a atmega645p atmega649 atmega6490 atmega6490a atmega6490p atmega649a atmega649p atmega64a atmega64c1 atmega64hve atmega64hve2 atmega64m1 atmega64rfr2 atmega8 atmega8515 atmega8535 atmega88 atmega88a atmega88p atmega88pa atmega88pb atmega8a atmega8hva atmega8u2 attiny10 attiny11 attiny12 attiny13 attiny13a attiny15 attiny1634 attiny167 attiny20 attiny22 attiny2313 attiny2313a attiny24 attiny24a attiny25 attiny26 attiny261 attiny261a attiny28 attiny4 attiny40 attiny4313 attiny43u attiny44 attiny441 attiny44a attiny45 attiny461 attiny461a attiny48 attiny5 attiny828 attiny84 attiny841 attiny84a attiny85 attiny861 attiny861a attiny87 attiny88 attiny9 atxmega128a1 atxmega128a1u atxmega128a3 atxmega128a3u atxmega128a4u atxmega128b1 atxmega128b3 atxmega128c3 atxmega128d3 atxmega128d4 atxmega16a4 atxmega16a4u atxmega16c4 atxmega16d4 atxmega16e5 atxmega192a3 atxmega192a3u atxmega192c3 atxmega192d3 atxmega256a3 atxmega256a3b atxmega256a3bu atxmega256a3u atxmega256c3 atxmega256d3 atxmega32a4 atxmega32a4u atxmega32c3 atxmega32c4 atxmega32d3 atxmega32d4 atxmega32e5 atxmega384c3 atxmega384d3 atxmega64a1 atxmega64a1u atxmega64a3 atxmega64a3u atxmega64a4u atxmega64b1 atxmega64b3 atxmega64c3 atxmega64d3 atxmega64d4 atxmega8e5 avr1 avr2 avr25 avr3 avr31 avr35 avr4 avr5 avr51 avr6 avrtiny avrxmega2 avrxmega4 avrxmega5 avrxmega6 avrxmega7 m3000

exit status 1
Error compiling for board Atmel ATmega328PB Internal Clock.


Same for the other 2 clocks. I am using USBasp as programmer, and burning the bootloader with success. Do I have to update avr-g++ in some way to accept the ATmega328PB?

I need to work with this microcontroller, I have installed Atmel Studio but I want to use the Arduino libraries, and I fear if I do the work to set them up, this error will pop again. Could you give me some advice / solution to this problem?

Thank you in advance.

astrobeed

Devi usare l'IDE 1.6.11 per poter utilizzare l'attuale versione della patch sul github di Watterot, le precedenti versioni versioni del IDE non hanno la tootlchain aggiornata per il 328PB.
Usare il GOTO in C è ammettere la propria sconfitta come programmatore

GCalero

I'm using IDE 1.6.11! I also tried uninstalling and using 1.6.10, and back to 1.6.11, never worked.

But although the Arduino folder is deleted when I uninstall, when I install it again, the ATmega328pb boards are still there... so I guess some files are left behind? Maybe that has something to do with it? But the first one I installed was 1.6.11

zoomx

@GCalero
maybe you can try using the portable version. Download the zip instead of the installer, unzip the package and create a folder named "Portable" inside.

gpb01

#598
Aug 25, 2016, 10:46 am Last Edit: Aug 25, 2016, 10:47 am by gpb01
... next, when you have done what zoomx said, download THIS and install following the enclosed README. Just don't download from Atmel the toolchain (also if is written to do inside the README) the IDE 1.6.11 already contains the last toolchain so ... just copy the files enclosend into the .zip

Guglielmo

P.S.: lo zip che gli sto passando è quello preparato da Astro per Win.
Search is Your friend ... or I am Your enemy !

GCalero

I tried in Ubuntu and it compiled with no problem. To upload it, avrdude.conf was giving syntax errors, they were all "usbpid = ..." lines, I commented them and... success! Thanks for the answers!

Go Up
 


Please enter a valid email to subscribe

Confirm your email address

We need to confirm your email address.
To complete the subscription, please click the link in the email we just sent you.

Thank you for subscribing!

Arduino
via Egeo 16
Torino, 10131
Italy